summaryrefslogtreecommitdiffstats
path: root/source/n/bluez
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/bluez')
-rw-r--r--source/n/bluez/bluez-4.91.tar.sign8
-rwxr-xr-xsource/n/bluez/bluez.SlackBuild15
-rw-r--r--source/n/bluez/doinst.sh2
-rw-r--r--source/n/bluez/patches/bluez-dbus-config.patch23
4 files changed, 28 insertions, 20 deletions
diff --git a/source/n/bluez/bluez-4.91.tar.sign b/source/n/bluez/bluez-4.91.tar.sign
new file mode 100644
index 000000000..bb9b05b69
--- /dev/null
+++ b/source/n/bluez/bluez-4.91.tar.sign
@@ -0,0 +1,8 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.11 (GNU/Linux)
+Comment: See http://www.kernel.org/signature.html for info
+
+iD8DBQBNkiAFyGugalF9Dw4RAqa6AJ9bxkhDm2sW6JqVMT8JwSa/5eFZaQCbBuKA
+27f95iFeuRTVrhRkoFiTOto=
+=u4px
+-----END PGP SIGNATURE-----
diff --git a/source/n/bluez/bluez.SlackBuild b/source/n/bluez/bluez.SlackBuild
index ec5cba262..0403c932b 100755
--- a/source/n/bluez/bluez.SlackBuild
+++ b/source/n/bluez/bluez.SlackBuild
@@ -1,8 +1,8 @@
#!/bin/sh
-# Slackware build script for bluez-utils - http://www.bluez.org
+# Slackware build script for bluez - http://www.bluez.org
-# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=bluez
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -60,7 +60,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/${PKGNAM}-${VERSION}.tar.?z* || exit 1
+tar xvf $CWD/${PKGNAM}-${VERSION}.tar.xz || exit 1
cd $PKGNAM-$VERSION
chown -R root:root .
@@ -92,7 +92,6 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-gstreamer \
--enable-alsa \
--enable-usb \
- --enable-netlink \
--enable-tools\
--enable-bccmd \
--enable-hid2hci \
@@ -108,7 +107,7 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
# I'm don't think we need this, but I'll leave it commented just in case:
# http://bugs.archlinux.org/task/4930
@@ -136,6 +135,10 @@ cp -a serial/serial.conf $PKG/etc/bluetooth
cp -a tools/rfcomm.conf $PKG/etc/bluetooth
chmod 644 $PKG/etc/bluetooth/*.conf
+mkdir -p $PKG/etc/alsa
+mv $PKG/usr/share/alsa/bluetooth.conf $PKG/etc/alsa
+( cd $PKG/usr/share/alsa ; ln -s ../../../etc/alsa/bluetooth.conf . )
+
# Do not overwrite configuration
# Well, let the dbus file be overwritten, as it is not usually user-edited.
( cd $PKG
diff --git a/source/n/bluez/doinst.sh b/source/n/bluez/doinst.sh
index 1711435e0..0d4dde1da 100644
--- a/source/n/bluez/doinst.sh
+++ b/source/n/bluez/doinst.sh
@@ -17,8 +17,8 @@ if [ -e etc/rc.d/rc.bluetooth ]; then
mv etc/rc.d/rc.bluetooth.new.incoming etc/rc.d/rc.bluetooth.new
fi
-config etc/alsa/bluetooth.conf.new
config etc/rc.d/rc.bluetooth.new
+config etc/alsa/bluetooth.conf.new
config etc/bluetooth/audio.conf.new
config etc/bluetooth/input.conf.new
config etc/bluetooth/main.conf.new
diff --git a/source/n/bluez/patches/bluez-dbus-config.patch b/source/n/bluez/patches/bluez-dbus-config.patch
index 4160600a5..0d0fb4620 100644
--- a/source/n/bluez/patches/bluez-dbus-config.patch
+++ b/source/n/bluez/patches/bluez-dbus-config.patch
@@ -1,25 +1,22 @@
-Use the plugdev group for bluetooth on Slackware, and allow this to
- work as expected with our current setup.
-
-diff -Nur bluez-4.61.orig//src/bluetooth.conf bluez-4.61/src/bluetooth.conf
---- bluez-4.61.orig//src/bluetooth.conf 2010-02-18 17:48:50.434527785 -0600
-+++ bluez-4.61/src/bluetooth.conf 2010-02-18 17:47:30.727431004 -0600
-@@ -11,11 +11,16 @@
+--- ./src/bluetooth.conf.orig 2010-10-04 06:41:01.000000000 -0500
++++ ./src/bluetooth.conf 2010-11-07 19:50:47.229999322 -0600
+@@ -11,13 +11,18 @@
<allow own="org.bluez"/>
<allow send_destination="org.bluez"/>
<allow send_interface="org.bluez.Agent"/>
+ <allow send_interface="org.bluez.Adapter"/>
<allow send_interface="org.bluez.HandsfreeAgent"/>
+ <allow send_interface="org.bluez.MediaEndpoint"/>
+ <allow send_interface="org.bluez.Watcher"/>
</policy>
- <policy at_console="true">
-- <allow send_destination="org.bluez"/>
+ <policy group="plugdev">
-+ <allow send_destination="org.bluez"/>
-+ <allow send_interface="org.bluez.Agent"/>
-+ <allow send_interface="org.bluez.Adapter"/>
-+ <allow send_destination="org.bluez"
-+ send_interface="org.freedesktop.DBus.Introspectable"/>
+ <allow send_destination="org.bluez"/>
++ <allow send_interface="org.bluez.Agent"/>
++ <allow send_interface="org.bluez.Adapter"/>
++ <allow send_destination="org.bluez"
++ send_interface="org.freedesktop.DBus.Introspectable"/>
</policy>
<!-- allow users of lp group (printing subsystem) to